<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">

	<!-- Meta Tag -->
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<title>Bootstrap Grid System</title>

	<!-- External CSS -->
	<!-- <link rel="stylesheet" type="text/css" href="index.css"> -->

	<!-- Bootstrap CSS -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

</head>
<body class="text-center">
	<h1>Bootstrap Grid System</h1>

	<!-- 
		CRC
			Container
			Row 
			Columns
	 -->

	<!-- Two Columns Start -->
	<h2>Two Columns</h2>
		<div class="container-fluid">
			<h3>1:1 Ratio</h3>
			<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-6">6 col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 col</div>
		</div>

		<div>
			<h3>1:2 Ratio</h3>
			<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-8">8 col</div>
		</div>

		<!-- Mini Activity:

			Create an h3 element containing 1:3 ratio
			Create a div that will show 1:3 ratio for our grid system
			Send screenshot output in batch hangouts
		 -->

		 <div>
			<h3>1:3 Ratio</h3>
			<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-9">9 col</div>
		</div>

		
	</div>
	<!-- Two Columns End -->
	
	
	<!-- Three Columns Start -->
	<h2>Three Columns</h2>
		<div class="container-fluid">
			<!-- Row w/3 equal columns -->
			<h3>1:1:1</h3>

			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">4 Col</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
			</div>

			<!--  -->
			<h3>1:2:1</h3>
			
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
			</div>

			<h3>Uneven</h3>
			
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
			</div>

	</div>
	<!-- Three Columns End -->

	<!-- Auto Sizing Start -->
	<h2>Automatic Sizing</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
		</div>
	</div>
	<!-- Auto Sizing End -->

	<!-- Mobile Responsive Start -->
	<h2>Mobile Responsive Columns</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2">Responsive</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-sm-6 col-md-8 col-lg-10">Responsive</div>
		</div>
	</div>
	<!-- Mobile Responsive End -->

	<!-- Multi Column Layouts Start -->
	<h2>Multi-Column Layouts</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 1</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 2</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 3</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 4</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 5</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 6</div>
		</div>
	</div>
	<!-- Multi Column Layouts End -->

	<!-- Offset Columns Start -->
	<h2>Offsetting Columns</h2>

	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark offset-2 col-6">Offset Column</div>
			<div class="bg-primary pt-3 pb-3 border border-dark offset-md-3 col-6">Offset Column</div>
			<div class="bg-primary pt-3 pb-3 border border-dark offset-lg-4 col-6">Offset Column</div>
		</div>
	</div>
	<!-- Offset Columns End -->

	<!-- Columns Order Start -->
	<h2>Column Orders</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<!-- Order allows us to interchange order in which elements are displayed -->
			<div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">Left</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col order-1 order-md-2">Right</div>
		</div>
	</div>
	<!-- Columns Order End -->

	<!-- JS Dependencies -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

</body>
</html>